%global _hardened_build 1

Name:           ubridge
Version:        0.9.18
Release:    1%{?dist}
Summary:        Bridge for UDP tunnels, Ethernet, TAP and VMnet interfaces

License:        GPLv3+
URL:            https://github.com/GNS3/ubridge
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz


BuildRequires: libnl3-devel
BuildRequires: libpcap-devel
BuildRequires: gcc
BuildRequires: make
BuildRequires: iniparser-devel
BuildRequires: libcap
BuildRequires: git-core

Provides: bundled(lxc-libs)


%description
uBridge is a simple application to create user-land bridges between various
technologies. Currently bridging between UDP tunnels, Ethernet and TAP
interfaces is supported. Packet capture is also supported.

%prep
%autosetup -S git


%build
make %{?_smp_mflags} SYSTEM_INIPARSER=1 CFLAGS="-DLINUX_RAW $RPM_OPT_FLAGS -lnl-3"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m4755 %{name} %{buildroot}%{_bindir}



%files
%license LICENSE
%doc README.rst
%attr(0755,root,root) %caps(cap_net_admin,cap_net_raw=ep) %{_bindir}/%{name}


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.18-1
- initial build
